Bug 169708 - Unable to connect with kernel-2.6.13-1
Unable to connect with kernel-2.6.13-1
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-01 14:42 EDT by David Elwell
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 14:46:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysreport output (493.81 KB, application/x-bzip)
2005-12-04 14:55 EST, David Elwell
no flags Details

  None (edit)
Description David Elwell 2005-10-01 14:42:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I get error 8 when I try to connect to my ISP using new kernel (2.6.13-1.1526). Works fine with earlier kernels.

Version-Release number of selected component (if applicable):
system-config-network 1.3.26

How reproducible:
Always

Steps to Reproduce:
1. Boot with kernel-2.6.13-1.1526
2. Log in
3. Start Nework Device Control
4. Select "Activate" for ISP
  

Actual Results:  "Failure to activate . . . error 8"

Expected Results:  Activate connection with ISP

Additional info:
Comment 1 David Elwell 2005-10-20 23:46:27 EDT
Also won't work with kernel-2.6.13-1.1532
Comment 2 Harald Hoyer 2005-10-21 03:47:22 EDT
Error code:       8      The connect script failed (returned a non-zero exit
status).

I have no idea... Can you talk to your modem via e.g. "minicom" ?
Comment 3 Warren Sturm 2005-10-22 20:52:51 EDT
I will chime in also with the same problem.  Works in 2.6.12-1.1456_FC4 but not
in 2.6.13-1.1526 or 1532.  The problem seems to be with the network but I am
sure the interfaces (DE500's) are working.  The dhcp request just does not seem
to be making it to the ISP (Shaw Cable in my case) but they are visible with
tcpdump.  The other DE500 set with static works fine.  I have a system at work
running 1532 with a couple of intel cards that works fine. 
Comment 4 Dave Jones 2005-11-10 15:20:35 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 David Elwell 2005-11-11 01:28:43 EST
(In reply to comment #4)
> 2.6.14-1.1637_FC4 has been released as an update for FC4.
> Please retest with this update, as a large amount of code has been changed in
> this release, which may have fixed your problem.
> 
> Thank you.
> 

Still unable to connect
Comment 6 Warren Sturm 2005-11-12 12:47:19 EST
The same applies here.  Is there anything else I can do to help get this
resolved?  It only seems to be a problem on my firewall system with a bare
install "minimal with some other packages of necessity and some for convenience.)
Still on 2.6.12-1.1456_FC4.  This is the x86_64 release.
Comment 7 Dave Jones 2005-11-12 18:42:42 EST
Are you using the stock iptables scripts that come with Fedora ? Or a third
party firewall script ?
Comment 8 David Elwell 2005-11-13 01:20:01 EST
(In reply to comment #7)
> Are you using the stock iptables scripts that come with Fedora ? Or a third
> party firewall script ?
> 

Not using third-party script.
Comment 9 John W. Linville 2005-11-17 13:55:19 EST
Would you mind trying the fedora-netdev kernels? 
 
   http://people.redhat.com/linville/kernels/fedora-netdev/ 
 
Please give those a try and post the results here...thanks! 
Comment 10 Warren Sturm 2005-11-18 23:05:13 EST
Tried the 2.6.14-1.1637_FC4.netdev.2 but no success.  I also tried a different
ethernet card (3c595) and moving the de500 to a different slot. In the latter
case I got a 'disabling irq 5' message after it tried to start eth0.  Kernels
since 2.6.13-1 have broken dhcp as a client and as a server.  2.6.12-1.1456_FC4
still works as expected.  I do run custom iptables but still nothing happens
when they are disabled.  Something in UDP layer perhaps?
Comment 11 David Elwell 2005-11-19 21:31:08 EST
(In reply to comment #9)
> Would you mind trying the fedora-netdev kernels? 
>  
>    http://people.redhat.com/linville/kernels/fedora-netdev/ 
>  
> Please give those a try and post the results here...thanks! 

Tried the netdev kernels: No luck connecting.
Comment 12 John W. Linville 2005-12-02 13:28:40 EST
Please attach the output of running "sysreport" on the box in 
question...thanks! 
 
Also, have you tried booting w/ "acpi=off" or "acpi=noirq" on the kernel 
command-line? 
Comment 13 Warren Sturm 2005-12-03 18:09:30 EST
Ok.  I have had success.  I started with adding irqpoll to the boot and lo - I
was able to get an address.  I had done some bios mucking and one of the thing
was to clear ESCD.  Now the irqpoll, noacpi and acpi=noirq are not required,
though the latter two did work on booting, but these were tried after the bios
mucking.  
Comment 14 David Elwell 2005-12-04 14:55:33 EST
Created attachment 121820 [details]
sysreport output
Comment 15 David Elwell 2005-12-04 15:08:13 EST
(In reply to comment #12)
> Please attach the output of running "sysreport" on the box in 
> question...thanks! 
>  
> Also, have you tried booting w/ "acpi=off" or "acpi=noirq" on the kernel 
> command-line? 

Output of "sysreport" sent.

Now using kernel-smp-2.6.14-1.1644_FC4, neither "acpi=off" nor "acpi=noirq"
allowed dialup connection: error 8 each time.
Comment 16 John W. Linville 2005-12-05 11:11:00 EST
David, please look at comment 13.  Have you tried using the "irqpoll" boot 
option?  Have you tried clearing ESCD? 
Comment 17 David Elwell 2005-12-05 22:11:33 EST
(In reply to comment #16)
> David, please look at comment 13.  Have you tried using the "irqpoll" boot 
> option?  Have you tried clearing ESCD? 

"irqpoll" didn't allow dialup.

I don't know anything about clearing ESCD, but should I be "mucking" with the
BIOS if dialup works fine now with the earlier kernel?
Comment 18 Dave Jones 2006-02-03 01:09:39 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 19 John W. Linville 2006-03-09 14:46:15 EST
Closed due to lack of response...please reopen when the bug is verified 
against current kernels...thanks! 

Note You need to log in before you can comment on or make changes to this bug.